Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.debug.core
Interface IJavaArrayType

All Superinterfaces:
  IJavaReferenceType, IJavaType

public interface IJavaArrayType
extends IJavaReferenceType

The type of an array on a Java debug target.

Clients are not intended to implement this interface.

Since:
  2.0
See Also:
  `IJavaValue`

Method Summary
`IJavaType` | `getComponentType()` Returns the type of the elements in this array.
`IJavaArray` | `newInstance(int size)` Returns a new instance of an array of this type, with the specified length.

Methods inherited from interface org.eclipse.jdt.debug.core.IJavaReferenceType
`getAllFieldNames, getAvailableStrata, getClassObject, getDeclaredFieldNames, getDefaultStratum, getField`

Methods inherited from interface org.eclipse.jdt.debug.core.IJavaType
`getName, getSignature`

Method Detail

### newInstance

    public IJavaArray newInstance(int size)
                           throws DebugException

  Returns a new instance of an array of this type, with the specified length.

  Parameters:
    `size` - the length of the new array
  Returns:
    a new array of the specified length
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.

### getComponentType

    public IJavaType getComponentType()
                               throws DebugException

  Returns the type of the elements in this array.

  Returns:
    type
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the VM. The exception's status code contains the underlying exception responsible for the failure.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.